import { toast } from "@repo/shadcn-ui/components";

/**
 * Muestra un toast de aviso
 */
export function showInfoToast(title: string, description?: string) {
  toast.info(title, {
    description,
  });
}

/**
 * Muestra un toast de aviso
 */
export function showWarningToast(title: string, description?: string) {
  toast.warning(title, {
    description,
  });
}

/**
 * Muestra un toast de éxito
 */
export function showSuccessToast(title: string, description?: string) {
  toast.success(title, {
    description,
  });
}

/**
 * Muestra un toast de error
 */
export function showErrorToast(title: string, description?: string) {
  toast.error(title, {
    description,
  });
}
